Chizverse
    • ChizVerse Developer Docs
      • Getting Started
      • API Reference
        • Overview
        • Chizmis Authentication
          • Exchange for a ChizVerse Bearer
          • Hosted Client Login
          • Hosted Client Registration
          • Logout
          • Get Current Account
          • Validate Client Application
          • Login with Existing Session
          • Verify Session Key
        • Activity Tracking
          • Create Launch
          • Create Tracked Session
          • Get Session Checkpoint
          • Get Saved Player Progress
          • Ingest Event Batch
          • Get Game Leaderboard
        • ChizPay Wallet & Transactions
          • Get Wallet by Account ID
          • Transfer Wallet Balance
          • Get Wallet Transaction History
          • Debit Wallet
          • Credit Wallet
          • Get Game Ledger
      • SDK
      • Schemas
        • ExchangeForAChizVerseBearerResponse
        • ExchangeForAChizVerseBearerRequest
        • LogoutResponse
        • LogoutRequest
        • GetCurrentAccountResponse
        • ValidateClientApplicationResponse
        • LoginWithExistingSessionResponse
        • LoginWithExistingSessionRequest
        • VerifySessionKeyResponse
        • CreateLaunchResponse
        • CreateLaunchRequest
        • CreateTrackedSessionResponse
        • CreateTrackedSessionRequest
        • GetSessionCheckpointResponse
        • GetSavedPlayerProgressResponse
        • IngestEventBatchResponse
        • IngestEventBatchRequest
        • GetGameLeaderboardResponse
        • GetWalletByAccountIDResponse
        • TransferWalletBalanceResponse
        • TransferWalletBalanceRequest
        • GetWalletTransactionHistoryResponse
        • DebitWalletResponse
        • DebitWalletRequest
        • CreditWalletResponse
        • CreditWalletRequest
        • GetGameLedgerResponse

    CreditWalletRequest

    Request body for POST /chizpay/v1.0/wallet-transactions/credit.

    {
        "gameId": "game-slots-01",
        "gameSession": "sess_123",
        "accountId": 1001,
        "amount": 95,
        "debitTransactionId": 80101,
        "referenceNumber": "credit_sess_123_round_12",
        "description": "Round payout",
        "metadata": {
            "round": 12,
            "result": "WIN"
        },
        "nonce": "52663c0d-6f42-4baf-8a45-3951d2ff89f5",
        "timestamp": 1778063220000,
        "signature": "hmac-sha256:85df..."
    }
    Built with